Name:      ibus-pinyin
Summary:   ibus - Chinese Pinyin engine
Version:   1.5.0
Release:   %mkrel 9
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:    ibus-pinyin-support-set-content-type-method.patch
BuildRequires: pkgconfig(ibus-1.0) >= 1.3.99
BuildRequires: pkgconfig(pyzy-1.0) >= 0.0.8
BuildRequires: pkgconfig(sqlite3)
BuildRequires: sqlite3-tools
BuildRequires: python
BuildRequires: intltool
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:	ibus >= 1.3.99
Requires(post,preun): glib2.0-common

%description
ibus - Chinese Pinyin engine.

%prep
%setup -q 
%autopatch -p1

%build
%configure2_5x --disable-lua-extension
%make

%install
%makeinstall_std

%find_lang %name

%if 0
%post
%post_ibus_register_engine pinyin zh_CN
%post_ibus_register_engine bopomofo zh_TW

%preun
%preun_ibus_unregister_engine pinyin
%preun_ibus_unregister_engine bopomofo
%endif

%files -f %name.lang
%{_libexecdir}/ibus-engine-pinyin
%{_libexecdir}/ibus-setup-pinyin
%{_datadir}/%{name}
%{_datadir}/ibus/component/*.xml
%{_datadir}/applications/*.desktop


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 1.5.0-9.mga6
+ Revision: 960649
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 cjw <cjw> 1.5.0-8.mga6
+ Revision: 871205
- rebuild with gcc 5

* Thu Jul 02 2015 joequant <joequant> 1.5.0-7.mga6
+ Revision: 849562
- rebuild for new opencc

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-6.mga5
+ Revision: 741693
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-5.mga5
+ Revision: 680418
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Thu Nov 21 2013 fwang <fwang> 1.5.0-4.mga4
+ Revision: 552133
- Fixes ibus: visible password entry flaw. (rhbz#1027029) (CVE-2013-4509)

* Fri Oct 18 2013 umeabot <umeabot> 1.5.0-3.mga4
+ Revision: 505950
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 354073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 1.5.0-1.mga3
+ Revision: 333793
- new version 1.5.0

* Tue Oct 16 2012 fwang <fwang> 1.4.99.20120808-2.mga3
+ Revision: 306960
- drop emtpy section for now
- rebuild for updated ibus

* Mon Oct 15 2012 fwang <fwang> 1.4.99.20120808-1.mga3
+ Revision: 306013
- update file list
- requires gsettings in glib2.0-common
- br sqlite3-tools
- new version 1.4.99.20120808

* Wed Dec 21 2011 fwang <fwang> 1.4.0-1.mga3
+ Revision: 185478
- new version 1.4.0

* Sat Sep 24 2011 fwang <fwang> 1.3.99.20110706-1.mga2
+ Revision: 147464
- new version 1.3.99.20110706
- add req for scriptlets
- add ibus helper for registering engine

* Fri Mar 18 2011 tv <tv> 1.3.11-1.mga1
+ Revision: 73577
- imported package ibus-pinyin


* Mon Sep 06 2010 Funda Wang <fwang@mandriva.org> 1.3.11-1mdv2011.0
+ Revision: 576253
- new version 1.3.11

* Sat Aug 14 2010 Funda Wang <fwang@mandriva.org> 1.3.10-2mdv2011.0
+ Revision: 569530
- use opencc for chinese convertion

* Mon Aug 09 2010 Funda Wang <fwang@mandriva.org> 1.3.10-1mdv2011.0
+ Revision: 568002
- update to new version 1.3.10

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 1.3.9-1mdv2011.0
+ Revision: 554368
- update to new version 1.3.9

* Thu Jun 24 2010 Funda Wang <fwang@mandriva.org> 1.3.8-1mdv2010.1
+ Revision: 548990
- New version 1.3.8

* Thu May 06 2010 Funda Wang <fwang@mandriva.org> 1.3.5-1mdv2010.1
+ Revision: 542827
- New version 1.3.5
  (fix double pinyin parse problem, half full punct problem)

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 1.3.3-1mdv2010.1
+ Revision: 538890
- BR sigc++
- New version 1.3.3

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 1.2.99.20091211-1mdv2010.1
+ Revision: 478614
- new version 1.2.99.20091211

* Thu Sep 17 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090915-1mdv2010.0
+ Revision: 443704
- new version 1.2.0.20090915

* Tue Aug 04 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090617-2mdv2010.0
+ Revision: 408865
- new version 1.2.0

* Fri Jun 12 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090612-1mdv2010.0
+ Revision: 385511
- New version 1.1.0.20090612

* Thu Mar 05 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090303-1mdv2009.1
+ Revision: 348998
- New version 1.1.0.20090303

* Thu Feb 26 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090225-1mdv2009.1
+ Revision: 345030
- New version 20090225

* Fri Feb 13 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090211-1mdv2009.1
+ Revision: 339995
- update to new version 1.1.0.20090211

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090205-2mdv2009.1
+ Revision: 337931
- arch package now

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090205-1mdv2009.1
+ Revision: 337895
- New version 1.1.0.20090205

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081004-2mdv2009.1
+ Revision: 318666
- rebuild for new python

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081004-1mdv2009.1
+ Revision: 292263
- New version 0.1.1.20081004

* Fri Sep 05 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080901-1mdv2009.0
+ Revision: 281262
- new version

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080823-1mdv2009.0
+ Revision: 277736
- should be no arch
- import ibus-pinyin


